Subject: break bit in RSVP - Intserv Protokol

From: Eduard Siemens <[email-masked]>
Date: Tue, 31 Aug 1999 11:55:11 +0200

Hello, everybody
I read the RFCs about IntServ and RSVP and have a question
If one NE in the path is RSVP unaware, the RSVP node, which explain that
set the break bit in the ADSPEC.
My question is-
how can a Network Element explain, that at least one  node is RSVP
unaware ?

regards,
-- 
Eduard Siemens
Uni Hannover 
Tel. +49 (0)5132 866123
Fax  +49 (0)5132 866124

---

From: David Charlap <[email-masked]>
Date: Tue, 31 Aug 1999 10:16:45 -0400

Eduard Siemens wrote:
> If one NE in the path is RSVP unaware, the RSVP node, which explain
> that set the break bit in the ADSPEC.
> My question is-

Simple.  The RSVP common-header (at the top of every message) contains a
TTL byte.

When the packet is generated, the TTL byte in the RSVP common header is
set to the same value as the TTL byte in the IP header.  On arrival an
RSVP router, the TTL byte in the RSVP common header is compared with the
one in the IP header.  If they differ, then the packet passed through a
router that is not running RSVP.  The RSVP code, upon detecting this,
will set the break bit in the ADSPEC.

-- David

---

From: Bob Lindell <[email-masked]>
Date: Tue, 31 Aug 1999 07:25:57 -0700

> how can a Network Element explain, that at least one  node is RSVP

The ttl in the RSVP message is differentially compared to the IP ttl
field.  RSVP unaware NEs will decrement the IP ttl but leave the
RSVP ttl unchanged.  This can be detected by a downstream RSVP aware
NE which can set the break bit.

Bob Lindell

---

From: "Eduard Siemens" <[email-masked]>
Date: Tue, 31 Aug 1999 21:03:26 +0200

Thank you for the answer,
I am surprised, that haven't found this description in any RFC,
could you give me a reference of a paper, where is is described ? (I need it
even for my Masters Thesis)
regards,
Eduard Siemens

Tel. +49 (0) 5132 866 123
Fax +49 (0) 5132 866 124

ICQ  13899336
----- Original Message -----
From: David Charlap <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, August 31, 1999 4:16 PM
Subject: Re: break bit in RSVP - Intserv Protokol

: Eduard Siemens wrote:
: >
: > Hello, everybody
: > I read the RFCs about IntServ and RSVP and have a question
: > If one NE in the path is RSVP unaware, the RSVP node, which explain
: > that set the break bit in the ADSPEC.
: > My question is-
: > how can a Network Element explain, that at least one  node is RSVP
: > unaware ?
:
: Simple.  The RSVP common-header (at the top of every message) contains a
: TTL byte.
:
: When the packet is generated, the TTL byte in the RSVP common header is
: set to the same value as the TTL byte in the IP header.  On arrival an
: RSVP router, the TTL byte in the RSVP common header is compared with the
: one in the IP header.  If they differ, then the packet passed through a
: router that is not running RSVP.  The RSVP code, upon detecting this,
: will set the break bit in the ADSPEC.
:
: -- David

---

From: David Charlap <[email-masked]>
Date: Tue, 31 Aug 1999 17:24:35 -0400

Eduard Siemens wrote:
> could you give me a reference of a paper, where is is described ? (I
> need it even for my Masters Thesis)
> regards,
> Eduard Siemens

RFC 2205.  Section 3.8

-- David